package com.inspect.insreport.mapper;

import com.inspect.insreport.domain.InspectionReport;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface InspectionReportMapper {
    InspectionReport selectInspectionReportByLineId(Long lineId);

    List<InspectionReport> selectInspectionReportList(InspectionReport report);

    List<InspectionReport> selectByAllList(InspectionReport report);

    long insertInspectionReport(InspectionReport report);

    int updateInspectionReport(InspectionReport report);

    int deleteInspectionReportByLineId(Long lineId);

    int deleteInspectionReportByLineIds(Long[] lineIds);
}
